<div id="main-content" class="collapse multi-collapse">
<div id="menores" class="container">
  <div class="row title">
    <div class="">
      <h1>
        <span class="area"><span>Área de </span>Patrimonio, recursos Humanos y Técnicos</span>
        <span><a title="Volver a Contratación" onclick="initialCalls.calculatePentahoPath('Contratacion.wcdf/generatedContent')">Contratación</a></span>
        <span>Detalle Contratos Menores</span></h1>
      </h1>
    </div>
  </div>

  <div class="row layout">
    <div class="col-md-12 col-sm-12 col-xs-12 menores collapse" id="collapseTable">
      <div class="titulo tab">
        <h2>Contratos Menores</h2>
      </div>

      <div class="row filtros">
          <section class="selectores">
            <button id="download-csv-all" title="Descargar Todo CSV">
              Descargar Todo CSV
            </button>
            <div class="filter">
              <button id="resetButton" title="Borrar Filtros">
                Limpiar Filtros
              </button> 
            </div>
            <div id="filterMeses" class="filter-container"></div>
            <div id="filterUnidad" class="filter-container"></div>
            <div id="filterArea" class="filter-container"></div>
          </section>
      </div>

      <div class="row contenedor row importe">
            <div class="col-md-6 col-sm-12 col-xs-12 tipo">

              <details class="indicador" open="">
                  <summary><h4>Importe Total</h4></summary>
                  <div>
                      <p class="valor"><span id="valorGlobal"></span></p>
                      <p class="medida"><span id="fechaDatos"></span></p>
                  </div>
              </details>

              <section class="tipo">
                <div class="grafica">
                  <div id="chartImporteTipo" class="chart-container"></div>
                  <div id="no_dataImporteTipo" class="no-data"></div>
                </div>
              </section>
            </div>

            <div class="col-md-6 col-sm-12 col-xs-12 area">
              <section class="area">
                <div class="grafica">
                  <div id="chartImporteArea" class="chart-container"></div>
                  <div id="no_dataImporteArea" class="no-data"></div>
                </div>
              </section>
              
            </div>
      </div>

      <div class="row contenedor row detalle">

              <div class="col-md-7 col-sm-12 col-xs-12 contratos">
                <section class="datos">
                  <div class="funciones">
                    <button id="maximizar" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTable" aria-expanded="false" aria-controls="collapseTable" title="Maximizar/Minimizar tabla">
                      Toggle width collapse
                    </button>
                    <button id="download-csv" title="Descargar CSV">
                      Descargar CSV
                    </button>
                    <button id="download-pdf" title="Descargar PDF">
                      Descargar PDF
                    </button>
                  </div>
                  <div class="tabla">
                    <div id="tableContratos" class="tabulator"></div>
                  </div>
                </section>
              </div>
              
              <div class="col-md-5 col-sm-12 col-xs-12 tipo-mensual">
                  <section class="tipo-mensual">
                    <div class="grafica">
                      <div id="chartImporteTipoMes" class="chart-container"></div>
                      <div id="no_dataImporteTipoMes" class="no-data"></div>
                    </div>                
                  </section>
              </div>

      </div>

      <div class="row more">
        <div class="infomodal">
          <button
            class="info"
            type="button"
            data-bs-toggle="modal"
            data-bs-target="#modalContratatosMenores"
            title="Información sobre los valores"
          >
            más infomación
          </button>

          <div
            class="info modal"
            id="modalContratatosMenores"
            tabindex="-1"
            aria-labelledby="exampleModalLabel"
            aria-hidden="true"
          >
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-body">
                  <div>
                    <h4>CONTRATOS MENORES</h4>
                    <p>Este panel  permite realizar diferentes análisis de gestión sobre los contratos menores que han sido formalizados por los diferentes Servicios Municipales.
                    </p>
                    <p>Se han definido diferentes filtros que actúan simultáneamente sobre las gráficas y la tabla, permitiendo seleccionar los contratos por rango de fecha, duración, área y unidad tramitadora. Adicionalmente, se han definido a la derecha del bloque de filtrado, un botón para restablecer todos los filtros y un botón para exportar la información seleccionada a un fichero en formato CSV para facilitar ulteriores análisis.
                    </p>
                    <p>Una vez aplicados los filtros de interés:
                    </p>
                    <ul>
                      <li>Se muestra en formato KPI el importe total de los contratos menores seleccionados</li>
                      <li>La primera gráfica categoriza los contratos según su naturaleza: privados, servicios, suministros y obras, y los correlaciona con el número de contratos de ese mismo tipo del año anterior.</li>
                      <li>La segunda gráfica muestra el porcentaje, en importe, de las licitaciones seleccionadas según las diferentes Áreas de Gobierno de la organización actual.
                      </li>
                      <li>La tercera gráfica muestra los contratos por tipología (obras, privados, suministros y servicios) a lo largo del rango de fechas seleccionado.
                      </li>
                      <li>La tabla muestra la totalidad de los contratos objeto de la selección. Mediante los botones situados en el margen superior derecho, esta tabla puede ampliarse y su contenido exportarse a los formatos PDF y CSV.
                      </li>
                    </ul>
                    <p>En enero de 2024 se produjo el cambio efectivo de la ejecución del gasto a las nuevas áreas municipales de acuerdo con la Base de Datos Organizativa (BDO) vigente. Esto implica una discontinuidad organizativa cuando se realizan filtrados que incluyen períodos de 2023 y 2024. Esta circunstancia no afecta a los valores totales, sin embargo, aquellos contratos cuya unidad gestora no tiene reflejo en la BDO actual se asignarán como "No Disponible”. 
                    </p>
                  </div>
                </div>
                <button
                  class="tancar"
                  type="button"
                  data-bs-dismiss="modal"
                  title="Cerrar"
                >
                  Cerrar
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>

    </div>
  </div>
</div>
</div>